1. Dependencias necesarias

Integria IMS es una aplicación PHP que necesita una base de datos MySQL para funcionar. Actualmente sólo soporta MySQL y necesita una versión de PHP 5.2 o superior (debido a su uso intensivo de AJAX, entre otras razones). Debido a que es una aplicación completamente WEB, puede instalarla en un servidor y acceder a ella desde cualquier puesto de trabajo con un navegador moderno (Chrome, Firefox, Internet Explorer a partir de la versión 6, etc). La resolución mínima de trabajo es 1024×768 aunque recomendamos 1366 x 768. Las gráficas utilizan Flash y puede que necesite un complemento para visualizarlas. Integria IMS puede funcionar sobre sistemas Windows, Unix o Linux mientras tenga satisfechas sus dependencias. No obstante, nuestra plataforma recomendada es CentOS Linux.

Windows

Integria IMS se puede instalar también sobre sistemas operativos Microsoft Windows. Integria instala automáticamente Apache, PHP 5 y MySQL sobre el sistema operativo por lo que no es necesaria ninguna dependencia.

Dependencias CentOS

Todas las dependencias necesarias que ha de tener nuestro sistema para el correcto funcionamiento de Integria IMS son:

php php-cli php-gd php-intl curl php-ldap php-imap php-mysql php-mbstring php

Será necesario reiniciar el servidor de apache una vez hechos los cambios:

service httpd restart

Dependencias debian

php5 php5-gd php5-ldap php5-mysql php5-imap apache2 php5-curl

Será necesario reiniciar el servidor de apache una vez hechos los cambios:

service apache2 restart

Dependencias SUSE

php php5-gd php5-ldap php5-mysql php5-imap apache2 php5-gettext php5-mbstring graphviz php5-phar

Documentación de Integria